Debian Bug report logs - #306914
debmirror does not take IPv6 addresses

Package: libnet-http-perl; Maintainer for libnet-http-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libnet-http-perl is src:libnet-http-perl.

Reported by: Frederic Lehobey <Frederic.Lehobey@free.fr>

Date: Fri, 29 Apr 2005 11:33:03 UTC

Owned by: nicholas@periapt.co.uk

Severity: important

Tags: ipv6, jessie, sid, squeeze, upstream, wheezy

Merged with 471067

Forwarded to https://rt.cpan.org/Ticket/Display.html?id=29468

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>:
Bug#306914; Package debmirror. Full text and rfc822 format available.

Acknowledgement sent to Frederic Lehobey <Frederic.Lehobey@free.fr>:
New Bug report received and forwarded. Copy sent to Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frederic Lehobey <Frederic.Lehobey@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debmirror does not take IPv6 addresses
Date: Fri, 29 Apr 2005 13:17:36 +0200
Package: debmirror
Version: 20050207
Severity: wishlist

Hi,

Current debmirror does not seem to support IPv6 addresses:

Mirroring to /var/www/debian/ from http://anonymous:[2002:52e7:94bd:0:2e0:4cff:fed2:d8c1]//debian/
Arches: powerpc
Dists: sarge
Sections: main
Attempting to get lock, this might take 2 minutes before it fails.
Get Release files.
Getting: dists/sarge/Release... dists/sarge/Release failed 500 Can't connect to [2002:52e7:94bd:0:2e0:4cff:fed2:d8c1]:80 (Bad hostname '[2002:52e7:94bd:0:2e0:4cff:fed2:d8c1]')
dists/sarge/Release failed md5sum check, removing
Getting: dists/sarge/Release.gpg... dists/sarge/Release.gpg failed 500 Can't connect to [2002:52e7:94bd:0:2e0:4cff:fed2:d8c1]:80 (Bad hostname '[2002:52e7:94bd:0:2e0:4cff:fed2:d8c1]')
...

I have looked at its code but am not skilled enough in perl libraries
to add relevant parts.

Thanks and best regards,
Frederic Lehobey

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: powerpc (ppc)
Kernel: Linux 2.6.8-powerpc
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages debmirror depends on:
ii  bzip2                         1.0.2-5    high-quality block-sorting file co
ii  libcompress-zlib-perl         1.34-1     Perl module for creation and manip
ii  liblockfile-simple-perl       0.2.5-7    Simple advisory file locking
ii  libwww-perl                   5.803-4    WWW client/server library for Perl
ii  perl [libdigest-md5-perl]     5.8.4-6    Larry Wall's Practical Extraction 
ii  perl-modules [libnet-perl]    5.8.4-6    Core Perl modules
ii  rsync                         2.6.3-2    fast remote file copy program (lik

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#306914; Package debmirror. Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 306914@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
To: Frederic Lehobey <Frederic.Lehobey@free.fr>
Cc: 306914@bugs.debian.org, Jay Bonci <jaybonci@debian.org>
Subject: Re: Bug#306914: debmirror does not take IPv6 addresses
Date: Fri, 29 Apr 2005 14:40:17 +0200
Frederic Lehobey <Frederic.Lehobey@free.fr> writes:

> Package: debmirror
> Version: 20050207
> Severity: wishlist
>
> Hi,
>
> Current debmirror does not seem to support IPv6 addresses:
>
> Mirroring to /var/www/debian/ from http://anonymous:[2002:52e7:94bd:0:2e0:4cff:fed2:d8c1]//debian/
> Arches: powerpc
> Dists: sarge
> Sections: main
> Attempting to get lock, this might take 2 minutes before it fails.
> Get Release files.
> Getting: dists/sarge/Release... dists/sarge/Release failed 500 Can't connect to [2002:52e7:94bd:0:2e0:4cff:fed2:d8c1]:80 (Bad hostname '[2002:52e7:94bd:0:2e0:4cff:fed2:d8c1]')
> dists/sarge/Release failed md5sum check, removing
> Getting: dists/sarge/Release.gpg... dists/sarge/Release.gpg failed 500 Can't connect to [2002:52e7:94bd:0:2e0:4cff:fed2:d8c1]:80 (Bad hostname '[2002:52e7:94bd:0:2e0:4cff:fed2:d8c1]')
> ...
>
> I have looked at its code but am not skilled enough in perl libraries
> to add relevant parts.
>
> Thanks and best regards,
> Frederic Lehobey

I'm not sure about this either. I think that the perl www library
should handle this transparently, which means reassigning this to
libwww-perl.

I'm CCing the libwww-perl maintainer. Jay what do yout think? Do I
have to do anything special for IPv6 or should libwww-perl fix this?

MfG
        Goswin



Bug reassigned from package `debmirror' to `libwww-perl,debmirror'. Request was from Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: ipv6 Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Sun, 04 Jan 2009 16:33:05 GMT) Full text and rfc822 format available.

Bug reassigned from package `libwww-perl,debmirror' to `libwww-perl'. Request was from Antonio Radici <antonio@dyne.org> to control@bugs.debian.org. (Sat, 28 Feb 2009 12:12:05 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=29468. Request was from Antonio Radici <antonio@dyne.org> to control@bugs.debian.org. (Sat, 28 Feb 2009 12:12:07 GMT) Full text and rfc822 format available.

Severity set to `normal' from `wishlist' Request was from Antonio Radici <antonio@dyne.org> to control@bugs.debian.org. (Sat, 28 Feb 2009 12:12:09 GMT) Full text and rfc822 format available.

Merged 306914 471067. Request was from Antonio Radici <antonio@dyne.org> to control@bugs.debian.org. (Sat, 28 Feb 2009 12:12:10 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:04:00 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 07:51:37 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:31:03 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:07 GMT) Full text and rfc822 format available.

Forcibly Merged 306914 471067 614948. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 24 Feb 2011 13:48:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://rt.cpan.org/Public/Bug/Display.html?id=29468'. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 24 Feb 2011 13:48:08 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://rt.cpan.org/Ticket/Display.html?id=29468' from 'http://rt.cpan.org/Public/Bug/Display.html?id=29468' Request was from Maximilian Gass <maximilian.gass@credativ.de> to control@bugs.debian.org. (Thu, 24 Feb 2011 14:27:08 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Mon, 14 Mar 2011 20:03:04 GMT) Full text and rfc822 format available.

Owner recorded as nicholas@periapt.co.uk. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Mon, 14 Mar 2011 22:21:16 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libwww-perl' to 'libnet-http-perl'. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 17 Mar 2011 20:15:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions libwww-perl/5.834-1, libwww-perl/5.808-1, and libwww-perl/5.837-1. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 17 Mar 2011 20:15:08 GMT) Full text and rfc822 format available.

Disconnected #614948 from all other report(s). Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 17 Mar 2011 20:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, nicholas@periapt.co.uk:
Bug#306914; Package libnet-http-perl. (Thu, 17 Mar 2011 21:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, nicholas@periapt.co.uk. (Thu, 17 Mar 2011 21:54:03 GMT) Full text and rfc822 format available.

Message #51 received at 306914@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 306914@bugs.debian.org, 614948@bugs.debian.org
Subject: possible patch
Date: Thu, 17 Mar 2011 21:51:46 +0000
Consulting with verious perl people it seems that using IO::Socket::IP 
or IO::Socket::INET6 instead of IO::Socket::INET inside Net::HTTP should 
work. I have not so far been able to persuade upstream to try this 
largely because neither of those modules have a good record on windows.




Added indication that 306914 affects libwww-perl Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Mon, 02 May 2011 20:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, nicholas@periapt.co.uk:
Bug#306914; Package libnet-http-perl. (Sat, 18 Jun 2011 12:16:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, nicholas@periapt.co.uk. (Sat, 18 Jun 2011 12:16:21 GMT) Full text and rfc822 format available.

Message #58 received at 306914@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: Maximilian Gass <mxey@cloudconnected.org>
Cc: 306914@bugs.debian.org, 614948@bugs.debian.org
Subject: Re: Bug#306914: possible patch
Date: Sat, 18 Jun 2011 13:11:43 +0100
I was seriously looking at this. I hit a further problem. Net::HTTP
parses the hostname:port combination which of course clashes with the
IPv6 syntax. However as that is a problem not specific to Net::HTTP but
rather is a general IPv6  issue, there is a convention to deal with
that. You can use [] around an IPv6 address to use it where you would
use a hostname. So it is still doable however I ran out if time to look
at it myself and there is a danger of moving way from how upstream will
eventually handle  it. Also these things are working their way through
the perl5 upstream so it may yet go up the priority list for the LWP
upstream.


On 18/06/11 13:04, Maximilian Gass wrote:
> On Thu, Mar 17, 2011 at 09:51:46PM +0000, Nicholas Bamber wrote:
>> Consulting with verious perl people it seems that using
>> IO::Socket::IP or IO::Socket::INET6 instead of IO::Socket::INET
>> inside Net::HTTP should work. I have not so far been able to
>> persuade upstream to try this largely because neither of those
>> modules have a good record on windows.
> 
> If they are problematic on Windows and upstream is unwilling to fix
> this, can't we patch it in?


-- 
Nicholas Bamber | http://www.periapt.co.uk/
PGP key 3BFFE73C from pgp.mit.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, nicholas@periapt.co.uk:
Bug#306914; Package libnet-http-perl. (Sat, 18 Jun 2011 12:16:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maximilian Gass <mxey@cloudconnected.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, nicholas@periapt.co.uk. (Sat, 18 Jun 2011 12:16:34 GMT) Full text and rfc822 format available.

Message #63 received at 306914@bugs.debian.org (full text, mbox):

From: Maximilian Gass <mxey@cloudconnected.org>
To: Nicholas Bamber <nicholas@periapt.co.uk>, 306914@bugs.debian.org
Cc: 614948@bugs.debian.org
Subject: Re: Bug#306914: possible patch
Date: Sat, 18 Jun 2011 14:04:22 +0200
[Message part 1 (text/plain, inline)]
On Thu, Mar 17, 2011 at 09:51:46PM +0000, Nicholas Bamber wrote:
> Consulting with verious perl people it seems that using
> IO::Socket::IP or IO::Socket::INET6 instead of IO::Socket::INET
> inside Net::HTTP should work. I have not so far been able to
> persuade upstream to try this largely because neither of those
> modules have a good record on windows.

If they are problematic on Windows and upstream is unwilling to fix
this, can't we patch it in?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, nicholas@periapt.co.uk:
Bug#306914; Package libnet-http-perl. (Tue, 27 Mar 2012 11:15:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Shmakov <oneingray@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, nicholas@periapt.co.uk. (Tue, 27 Mar 2012 11:15:21 GMT) Full text and rfc822 format available.

Message #68 received at 306914@bugs.debian.org (full text, mbox):

From: Ivan Shmakov <oneingray@gmail.com>
To: bug-libwww-perl@rt.cpan.org
Cc: 306914@bugs.debian.org, Ivan Shmakov <oneingray@gmail.com>
Subject: [rt.cpan.org #76044] IPv6 support? (patch)
Date: Tue, 27 Mar 2012 17:42:47 +0700
[Message part 1 (text/plain, inline)]
	The way I've dealt with the problem [1] is by requiring
	IO::Socket::INET6 first, while still allowing the code to fall
	back to IO::Socket::INET.  (Just like Net::HTTP already falls
	back to IO::Socket if IO::Socket::INET is itself unavailable.)

	The patch I'm using is MIME'd.

[1] http://permalink.gmane.org/gmane.comp.lang.perl.modules.lwp/2556

-- 
FSF associate member #7257
[Message part 2 (text/x-diff, inline)]
--- HTTP.pm.~1~	2012-02-17 03:17:26.000000000 +0700
+++ HTTP.pm	2012-03-27 17:05:37.000000000 +0700
@@ -5,8 +5,13 @@
 
 $VERSION = "6.03";
 unless ($SOCKET_CLASS) {
-    eval { require IO::Socket::INET } || require IO::Socket;
-    $SOCKET_CLASS = "IO::Socket::INET";
+    if (eval { require IO::Socket::INET6 }) {
+        $SOCKET_CLASS = "IO::Socket::INET6";
+    } else {
+        eval { require IO::Socket::INET }
+            || require IO::Socket;
+        $SOCKET_CLASS = "IO::Socket::INET";
+    }
 }
 require Net::HTTP::Methods;
 require Carp;

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:38:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:06:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.